Bug 1420935 - Optimal I/O size aren't calculated properly with uas module, and it may make data inconsistency on the disk and logical volume [NEEDINFO]
Summary: Optimal I/O size aren't calculated properly with uas module, and it may make ...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://www.mail-archive.com/linux-us...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 22:28 UTC by Yasuaki Taniguchi
Modified: 2019-01-09 12:54 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-26 21:03:55 UTC
Type: Bug
labbott: needinfo? (yasuakit.imi)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1666109 None None None 2017-02-20 05:44:48 UTC

Description Yasuaki Taniguchi 2017-02-09 22:28:47 UTC
Description of problem:
I connect a second USB-UAS drive to the single USB interface card,
the second drive is failed to probe. 
When I connect it to another USB interface card, it works fine.

Version-Release number of selected component (if applicable):
Fedora 25 x86_64, 4.9.7-201.fc25.x86_64
Dell XPS 8700, 
SD-PEU3R-2EL2 x2 (Renesas Technology Corp. uPD720202 USB 3.0 Host Controller (rev 02)),
RS-EC32-U31R x4 (USB 3.1 RAID1 external drives)


How reproducible:
Always


Steps to Reproduce:
1. Connect 2 USB-UAS drives on the same interface card.
2. Boot Fedora 25 

Actual results:
Only 1 drive works.


Expected results:
Two drives work.

Additional info:
On Windows 10, it works fine.

========lspci ( dev 04:00.0 and 06:00.0) ==================================
[root@nas01 ~]# lspci
00:00.0 Host bridge: Intel Corporation 4th Gen Core Processor DRAM Controller (rev 06)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor PCI Express x16 Controller (rev 06)
00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller (rev 06)
00:03.0 Audio device: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller (rev 06)
00:14.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB xHCI (rev 05)
00:16.0 Communication controller: Intel Corporation 8 Series/C220 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #2 (rev 05)
00:1b.0 Audio device: Intel Corporation 8 Series/C220 Series Chipset High Definition Audio Controller (rev 05)
00:1c.0 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #1 (rev d5)
00:1c.2 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #3 (rev d5)
00:1c.3 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #4 (rev d5)
00:1c.4 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #5 (rev d5)
00:1c.6 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #7 (rev d5)
00:1d.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation Z87 Express LPC Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 8 Series/C220 Series Chipset Family 6-port SATA Controller 1 [AHCI mode] (rev 05)
00:1f.3 SMBus: Intel Corporation 8 Series/C220 Series Chipset Family SMBus Controller (rev 05)
01:00.0 Ethernet controller: Intel Corporation Ethernet Controller 10-Gigabit X540-AT2 (rev 01)
01:00.1 Ethernet controller: Intel Corporation Ethernet Controller 10-Gigabit X540-AT2 (rev 01)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 0c)
04:00.0 USB controller: Renesas Technology Corp. uPD720202 USB 3.0 Host Controller (rev 02)
05:00.0 SATA controller: ASMedia Technology Inc. ASM1062 Serial ATA Controller (rev 01)
06:00.0 USB controller: Renesas Technology Corp. uPD720202 USB 3.0 Host Controller (rev 02)
===================================================================

====== lsusb =========================
Bus 002 Device 002: ID 8087:8000 Intel Corp.
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 008 Device 003: ID 0584:0276 RATOC System, Inc.
Bus 008 Device 002: ID 0584:0276 RATOC System, Inc.
Bus 008 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 007 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 006 Device 003: ID 0584:0276 RATOC System, Inc.
Bus 006 Device 002: ID 0584:0276 RATOC System, Inc.
Bus 006 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:8008 Intel Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 003: ID 0bda:0184 Realtek Semiconductor Corp. RTS5182 Card Reader
Bus 003 Device 004: ID 0557:2213 ATEN International Co., Ltd CS682 2-Port USB 2.0 DVI KVM Switch
Bus 003 Device 002: ID 0409:005a NEC Corp. HighSpeed Hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
========================================

======= lsusb -t  Bus 8.0 Port 1,2 and Bus 6 Port 1,2===========================
[root@nas01 ~]# lsusb -t
/:  Bus 08.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 5000M
    |__ Port 1: Dev 2, If 0, Class=Mass Storage, Driver=uas, 5000M
    |__ Port 2: Dev 3, If 0, Class=Mass Storage, Driver=, 5000M
/:  Bus 07.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 480M
/:  Bus 06.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 5000M
    |__ Port 1: Dev 2, If 0, Class=Mass Storage, Driver=uas, 5000M
    |__ Port 2: Dev 3, If 0, Class=Mass Storage, Driver=, 5000M
/:  Bus 05.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 480M
/:  Bus 04.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/6p, 5000M
/:  Bus 03.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/14p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/4p, 480M
        |__ Port 4: Dev 4, If 0, Class=Human Interface Device, Driver=usbhid, 1.5M
        |__ Port 4: Dev 4, If 1, Class=Human Interface Device, Driver=usbhid, 1.5M
    |__ Port 7: Dev 3, If 0, Class=Mass Storage, Driver=usb-storage, 480M
/:  Bus 02.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/2p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/8p, 480M
/:  Bus 01.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/2p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/6p, 480M
=============================================================
Bus 08 Port 1 works with uas driver, but Bus 08 Port 2 doesn't work and 
driver is empty.
Bus 06 is the same.

======== Kernel Fail message ===================================
[   56.165230] Hardware name: Dell Inc. XPS 8700/0KWVT8, BIOS A11 07/09/2015
[   56.165231]  ffffabe84258f3d0 ffffffffb23f442d ffffffffb2c50e30 0000000000000001
[   56.165232]  ffffabe84258f458 ffffffffb21cc6fa 02604001dfb9d0b0 ffffffffb2c50e30
[   56.165233]  ffffabe84258f3f8 ffff964d00000010 ffffabe84258f468 ffffabe84258f418
[   56.165235] Call Trace:
[   56.165239]  [<ffffffffb23f442d>] dump_stack+0x63/0x86
[   56.165242]  [<ffffffffb21cc6fa>] warn_alloc+0x13a/0x170
[   56.165244]  [<ffffffffb240af08>] ? find_next_bit+0x18/0x20
[   56.165245]  [<ffffffffb21cca82>] __alloc_pages_slowpath+0x2e2/0xc40
[   56.165246]  [<ffffffffb21cd636>] __alloc_pages_nodemask+0x256/0x2c0
[   56.165248]  [<ffffffffb2223525>] alloc_pages_current+0x95/0x140
[   56.165250]  [<ffffffffb222d33d>] new_slab+0x30d/0x790
[   56.165251]  [<ffffffffb222f232>] ___slab_alloc+0x3f2/0x540
[   56.165253]  [<ffffffffb2626afb>] ? xhci_segment_alloc.isra.25+0xfb/0x140
[   56.165254]  [<ffffffffb205e225>] ? x86_swiotlb_alloc_coherent+0x25/0x50
[   56.165255]  [<ffffffffb222f3a0>] __slab_alloc+0x20/0x40
[   56.165256]  [<ffffffffb2230c18>] __kmalloc+0x188/0x1f0
[   56.165257]  [<ffffffffb2626afb>] ? xhci_segment_alloc.isra.25+0xfb/0x140
[   56.165258]  [<ffffffffb2626afb>] xhci_segment_alloc.isra.25+0xfb/0x140
[   56.165259]  [<ffffffffb2626b83>] xhci_alloc_segments_for_ring+0x43/0x100
[   56.165260]  [<ffffffffb2626cfe>] xhci_ring_alloc.constprop.34+0xbe/0x140
[   56.165261]  [<ffffffffb26283cf>] xhci_alloc_stream_info+0x1df/0x3e0
[   56.165262]  [<ffffffffb2628150>] ? xhci_alloc_command+0x100/0x140
[   56.165263]  [<ffffffffb2623a47>] xhci_alloc_streams+0x447/0x840
[   56.165264]  [<ffffffffb2623600>] ? xhci_check_bandwidth+0x370/0x370
[   56.165266]  [<ffffffffb25eae17>] usb_alloc_streams+0xb7/0x110
[   56.165268]  [<ffffffffc0164918>] uas_configure_endpoints+0x148/0x170 [uas]
[   56.165269]  [<ffffffffc0165455>] uas_probe+0x3a5/0x550 [uas]
[   56.165270]  [<ffffffffb25f43d9>] usb_probe_interface+0x159/0x2d0
[   56.165272]  [<ffffffffb254be23>] driver_probe_device+0x223/0x430
[   56.165272]  [<ffffffffb254c10f>] __driver_attach+0xdf/0xf0
[   56.165273]  [<ffffffffb254c030>] ? driver_probe_device+0x430/0x430
[   56.165275]  [<ffffffffb254980c>] bus_for_each_dev+0x6c/0xc0
[   56.165276]  [<ffffffffb254b56e>] driver_attach+0x1e/0x20
[   56.165277]  [<ffffffffb254afa0>] bus_add_driver+0x170/0x270
[   56.165278]  [<ffffffffb254ca30>] driver_register+0x60/0xe0
[   56.165279]  [<ffffffffb25f2ca1>] usb_register_driver+0x81/0x140
[   56.165279]  [<ffffffffc016b000>] ? 0xffffffffc016b000
[   56.165281]  [<ffffffffc016b01e>] uas_driver_init+0x1e/0x1000 [uas]
[   56.165282]  [<ffffffffb2002190>] do_one_initcall+0x50/0x180
[   56.165284]  [<ffffffffb222f7e9>] ? kmem_cache_alloc_trace+0x159/0x1b0
[   56.165285]  [<ffffffffb21c041a>] ? do_init_module+0x27/0x1ef
[   56.165286]  [<ffffffffb21c0452>] do_init_module+0x5f/0x1ef
[   56.165288]  [<ffffffffb212fec1>] load_module+0x25b1/0x2980
[   56.165289]  [<ffffffffb212c7a0>] ? __symbol_put+0x60/0x60
[   56.165290]  [<ffffffffb2130403>] SYSC_init_module+0x173/0x190
[   56.165291]  [<ffffffffb213053e>] SyS_init_module+0xe/0x10
[   56.165292]  [<ffffffffb2003c17>] do_syscall_64+0x67/0x180
[   56.165294]  [<ffffffffb281dd2b>] entry_SYSCALL64_slow_path+0x25/0x25
[   56.165301] Mem-Info:
[   56.165303] active_anon:3800 inactive_anon:2077 isolated_anon:0
                active_file:2177 inactive_file:10250 isolated_file:0
                unevictable:0 dirty:0 writeback:0 unstable:0
                slab_reclaimable:3522 slab_unreclaimable:8680
                mapped:3185 shmem:2098 pagetables:646 bounce:0
                free:4042749 free_pcp:968 free_cma:0
[   56.165305] Node 0 active_anon:15200kB inactive_anon:8308kB active_file:8708kB inactive_file:41000kB unevictable:0kB isolated(anon):0kB isolated(file):0kB mapped:12740kB dirty:0kB writeback:0kB shmem:0kB shmem_thp: 0kB shmem_pmdmapped: 0kB anon_thp: 8392kB writeback_tmp:0kB unstable:0kB pages_scanned:0 all_unreclaimable? no
[   56.165305] Node 0 DMA free:60kB min:64kB low:80kB high:96kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB writepending:0kB present:15984kB managed:15896kB mlocked:0kB slab_reclaimable:0kB slab_unreclaimable:15836kB kernel_stack:0kB pagetables:0kB bounce:0kB free_pcp:0kB local_pcp:0kB free_cma:0kB
[   56.165308] lowmem_reserve[]: 0 3381 15921 15921 15921
[   56.165310] Node 0 DMA32 free:3485348kB min:14336kB low:17920kB high:21504kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB writepending:0kB present:3568408kB managed:3487532kB mlocked:0kB slab_reclaimable:0kB slab_unreclaimable:0kB kernel_stack:0kB pagetables:0kB bounce:0kB free_pcp:2160kB local_pcp:684kB free_cma:0kB
[   56.165312] lowmem_reserve[]: 0 0 12540 12540 12540
[   56.165313] Node 0 Normal free:12685216kB min:53176kB low:66468kB high:79760kB active_anon:15200kB inactive_anon:8308kB active_file:8708kB inactive_file:41000kB unevictable:0kB writepending:0kB present:13105152kB managed:12841308kB mlocked:0kB slab_reclaimable:14088kB slab_unreclaimable:18884kB kernel_stack:3136kB pagetables:2584kB bounce:0kB free_pcp:1788kB local_pcp:248kB free_cma:0kB
[   56.165315] lowmem_reserve[]: 0 0 0 0 0
[   56.165316] Node 0 DMA: 1*4kB (U) 1*8kB (U) 1*16kB (U) 1*32kB (U) 0*64kB 0*128kB 0*256kB 0*512kB 0*1024kB 0*2048kB 0*4096kB = 60kB
[   56.165321] Node 0 DMA32: 15*4kB (UM) 9*8kB (M) 10*16kB (M) 10*32kB (M) 15*64kB (M) 11*128kB (UM) 11*256kB (UM) 8*512kB (UM) 14*1024kB (UM) 6*2048kB (UM) 842*4096kB (M) = 3485348kB
[   56.165326] Node 0 Normal: 5*4kB (UME) 2*8kB (E) 2*16kB (ME) 1*32kB (E) 1*64kB (U) 1*128kB (M) 2*256kB (UM) 2*512kB (UE) 2*1024kB (UE) 0*2048kB 3096*4096kB (M) = 12685092kB
[   56.165332] Node 0 hugepages_total=0 hugepages_free=0 hugepages_surp=0 hugepages_size=1048576kB
[   56.165333] Node 0 hugepages_total=0 hugepages_free=0 hugepages_surp=0 hugepages_size=2048kB
[   56.165333] 14547 total pagecache pages
[   56.165334] 0 pages in swap cache
[   56.165335] Swap cache stats: add 0, delete 0, find 0/0
[   56.165336] Free swap  = 0kB
[   56.165336] Total swap = 0kB
[   56.165336] 4172386 pages RAM
[   56.165337] 0 pages HighMem/MovableOnly
[   56.165337] 86202 pages reserved
[   56.165337] 0 pages cma reserved
[   56.165337] 0 pages hwpoisoned
[   56.165339] SLUB: Unable to allocate memory on node -1, gfp=0x2408001(GFP_NOIO|GFP_DMA|__GFP_ZERO)
[   56.165339]   cache: dma-kmalloc-1024, object size: 1024, buffer size: 1024, default order: 3, min order: 0
[   56.165340]   node 0: slabs: 494, objs: 15752, free: 0
[   56.167323] uas: probe of 6-2:1.0 failed with error -12
[   56.172793] systemd-udevd: page allocation failure: order:0, mode:0x2604001(GFP_NOIO|GFP_DMA|__GFP_COMP|__GFP_NOTRACK)
[   56.172798] CPU: 6 PID: 423 Comm: systemd-udevd Not tainted 4.9.7-201.fc25.x86_64 #1
[   56.172799] Hardware name: Dell Inc. XPS 8700/0KWVT8, BIOS A11 07/09/2015
[   56.172800]  ffffabe84258f3d0 ffffffffb23f442d ffffffffb2c50e30 0000000000000001
[   56.172802]  ffffabe84258f458 ffffffffb21cc6fa 02604001dfb9d0b0 ffffffffb2c50e30
[   56.172804]  ffffabe84258f3f8 ffff964d00000010 ffffabe84258f468 ffffabe84258f418
[   56.172806] Call Trace:
[   56.172812]  [<ffffffffb23f442d>] dump_stack+0x63/0x86
[   56.172815]  [<ffffffffb21cc6fa>] warn_alloc+0x13a/0x170
[   56.172817]  [<ffffffffb240af08>] ? find_next_bit+0x18/0x20
[   56.172819]  [<ffffffffb21cca82>] __alloc_pages_slowpath+0x2e2/0xc40
[   56.172821]  [<ffffffffb21cd636>] __alloc_pages_nodemask+0x256/0x2c0
[   56.172823]  [<ffffffffb2223525>] alloc_pages_current+0x95/0x140
[   56.172825]  [<ffffffffb222d33d>] new_slab+0x30d/0x790
[   56.172827]  [<ffffffffb222f232>] ? ___slab_alloc+0x3f2/0x540
[   56.172829]  [<ffffffffb222f232>] ___slab_alloc+0x3f2/0x540
[   56.172832]  [<ffffffffb2626afb>] ? xhci_segment_alloc.isra.25+0xfb/0x140
[   56.172834]  [<ffffffffb205e225>] ? x86_swiotlb_alloc_coherent+0x25/0x50
[   56.172836]  [<ffffffffb222f3a0>] __slab_alloc+0x20/0x40
[   56.172837]  [<ffffffffb2230c18>] __kmalloc+0x188/0x1f0
[   56.172838]  [<ffffffffb2626afb>] ? xhci_segment_alloc.isra.25+0xfb/0x140
[   56.172840]  [<ffffffffb2626afb>] xhci_segment_alloc.isra.25+0xfb/0x140
[   56.172841]  [<ffffffffb2626b83>] xhci_alloc_segments_for_ring+0x43/0x100
[   56.172843]  [<ffffffffb2626cfe>] xhci_ring_alloc.constprop.34+0xbe/0x140
[   56.172845]  [<ffffffffb26283cf>] xhci_alloc_stream_info+0x1df/0x3e0
[   56.172846]  [<ffffffffb2628150>] ? xhci_alloc_command+0x100/0x140
[   56.172848]  [<ffffffffb2623a47>] xhci_alloc_streams+0x447/0x840
[   56.172850]  [<ffffffffb2623600>] ? xhci_check_bandwidth+0x370/0x370
[   56.172852]  [<ffffffffb25eae17>] usb_alloc_streams+0xb7/0x110
[   56.172855]  [<ffffffffc0164918>] uas_configure_endpoints+0x148/0x170 [uas]
[   56.172857]  [<ffffffffc0165455>] uas_probe+0x3a5/0x550 [uas]
[   56.172859]  [<ffffffffb25f43d9>] usb_probe_interface+0x159/0x2d0
[   56.172861]  [<ffffffffb254be23>] driver_probe_device+0x223/0x430
[   56.172862]  [<ffffffffb254c10f>] __driver_attach+0xdf/0xf0
[   56.172864]  [<ffffffffb254c030>] ? driver_probe_device+0x430/0x430
[   56.172866]  [<ffffffffb254980c>] bus_for_each_dev+0x6c/0xc0
[   56.172868]  [<ffffffffb254b56e>] driver_attach+0x1e/0x20
[   56.172869]  [<ffffffffb254afa0>] bus_add_driver+0x170/0x270
[   56.172871]  [<ffffffffb254ca30>] driver_register+0x60/0xe0
[   56.172872]  [<ffffffffb25f2ca1>] usb_register_driver+0x81/0x140
[   56.172873]  [<ffffffffc016b000>] ? 0xffffffffc016b000
[   56.172875]  [<ffffffffc016b01e>] uas_driver_init+0x1e/0x1000 [uas]
[   56.172877]  [<ffffffffb2002190>] do_one_initcall+0x50/0x180
[   56.172879]  [<ffffffffb222f7e9>] ? kmem_cache_alloc_trace+0x159/0x1b0
[   56.172882]  [<ffffffffb21c041a>] ? do_init_module+0x27/0x1ef
[   56.172883]  [<ffffffffb21c0452>] do_init_module+0x5f/0x1ef
[   56.172886]  [<ffffffffb212fec1>] load_module+0x25b1/0x2980
[   56.172887]  [<ffffffffb212c7a0>] ? __symbol_put+0x60/0x60
[   56.172889]  [<ffffffffb2130403>] SYSC_init_module+0x173/0x190
[   56.172891]  [<ffffffffb213053e>] SyS_init_module+0xe/0x10
[   56.172892]  [<ffffffffb2003c17>] do_syscall_64+0x67/0x180
[   56.172895]  [<ffffffffb281dd2b>] entry_SYSCALL64_slow_path+0x25/0x25
[   56.172896] Mem-Info:
[   56.172899] active_anon:3416 inactive_anon:2103 isolated_anon:0
                active_file:2158 inactive_file:9646 isolated_file:0
                unevictable:0 dirty:0 writeback:0 unstable:0
                slab_reclaimable:3626 slab_unreclaimable:8793
                mapped:3194 shmem:2126 pagetables:706 bounce:0
                free:4043104 free_pcp:1221 free_cma:0
[   56.172902] Node 0 active_anon:13664kB inactive_anon:8412kB active_file:8632kB inactive_file:38584kB unevictable:0kB isolated(anon):0kB isolated(file):0kB mapped:12776kB dirty:0kB writeback:0kB shmem:0kB shmem_thp: 0kB shmem_pmdmapped: 0kB anon_thp: 8504kB writeback_tmp:0kB unstable:0kB pages_scanned:0 all_unreclaimable? no
[   56.172903] Node 0 DMA free:60kB min:64kB low:80kB high:96kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB writepending:0kB present:15984kB managed:15896kB mlocked:0kB slab_reclaimable:0kB slab_unreclaimable:15836kB kernel_stack:0kB pagetables:0kB bounce:0kB free_pcp:0kB local_pcp:0kB free_cma:0kB
[   56.172906] lowmem_reserve[]: 0 3381 15921 15921 15921
[   56.172908] Node 0 DMA32 free:3485348kB min:14336kB low:17920kB high:21504kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB writepending:0kB present:3568408kB managed:3487532kB mlocked:0kB slab_reclaimable:0kB slab_unreclaimable:0kB kernel_stack:0kB pagetables:0kB bounce:0kB free_pcp:2160kB local_pcp:684kB free_cma:0kB
[   56.172911] lowmem_reserve[]: 0 0 12540 12540 12540
[   56.172913] Node 0 Normal free:12687008kB min:53176kB low:66468kB high:79760kB active_anon:13664kB inactive_anon:8412kB active_file:8632kB inactive_file:38584kB unevictable:0kB writepending:0kB present:13105152kB managed:12841308kB mlocked:0kB slab_reclaimable:14504kB slab_unreclaimable:19336kB kernel_stack:3216kB pagetables:2824kB bounce:0kB free_pcp:2720kB local_pcp:392kB free_cma:0kB
[   56.172916] lowmem_reserve[]: 0 0 0 0 0
[   56.172918] Node 0 DMA: 1*4kB (U) 1*8kB (U) 1*16kB (U) 1*32kB (U) 0*64kB 0*128kB 0*256kB 0*512kB 0*1024kB 0*2048kB 0*4096kB = 60kB
[   56.172925] Node 0 DMA32: 15*4kB (UM) 9*8kB (M) 10*16kB (M) 10*32kB (M) 15*64kB (M) 11*128kB (UM) 11*256kB (UM) 8*512kB (UM) 14*1024kB (UM) 6*2048kB (UM) 842*4096kB (M) = 3485348kB
[   56.172934] Node 0 Normal: 1*4kB (U) 48*8kB (UME) 24*16kB (UME) 36*32kB (UM) 18*64kB (UM) 6*128kB (UME) 2*256kB (UM) 2*512kB (UM) 2*1024kB (ME) 1*2048kB (M) 3095*4096kB (M) = 12686596kB
[   56.172944] Node 0 hugepages_total=0 hugepages_free=0 hugepages_surp=0 hugepages_size=1048576kB
[   56.172945] Node 0 hugepages_total=0 hugepages_free=0 hugepages_surp=0 hugepages_size=2048kB
[   56.172945] 13951 total pagecache pages
[   56.172946] 0 pages in swap cache
[   56.172947] Swap cache stats: add 0, delete 0, find 0/0
[   56.172947] Free swap  = 0kB
[   56.172947] Total swap = 0kB
[   56.172948] 4172386 pages RAM
[   56.172948] 0 pages HighMem/MovableOnly
[   56.172949] 86202 pages reserved
[   56.172949] 0 pages cma reserved
[   56.172950] 0 pages hwpoisoned
[   56.172951] SLUB: Unable to allocate memory on node -1, gfp=0x2408001(GFP_NOIO|GFP_DMA|__GFP_ZERO)
[   56.172952]   cache: dma-kmalloc-1024, object size: 1024, buffer size: 1024, default order: 3, min order: 0
[   56.172953]   node 0: slabs: 494, objs: 15752, free: 0
[   56.174839] uas: probe of 8-2:1.0 failed with error -12
[   56.174851] usbcore: registered new interface driver uas
[   56.190068] r8169 0000:03:00.0 enp3s0: renamed from eth0
[   56.230041] [drm] Memory usable by graphics device = 2048M
[   56.230043] checking generic (e0000000 300000) vs hw (e0000000 10000000)
[   56.230043] fb: switching to inteldrmfb from EFI VGA
[   56.230058] Console: switching to colour dummy device 80x25
[   56.230108] [drm] Replacing VGA console driver
[   56.236074] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[   56.236075] [drm] Driver supports precise vblank timestamp query.
[   56.238307] vgaarb: device changed decodes: PCI:0000:00:02.0,olddecodes=io+mem,decodes=io+mem:owns=io+mem
[   56.249974] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[   56.250327] acpi device:63: registered as cooling_device13
[   56.250395] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input7
[   56.250452] [drm] Initialized i915 1.6.0 20160919 for 0000:00:02.0 on minor 0
[   56.263904] fbcon: inteldrmfb (fb0) is primary device
[   56.329095] Console: switching to colour frame buffer device 320x100
[   56.355839] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[   56.407753] ixgbe 0000:01:00.0: Multiqueue Enabled: Rx Queue count = 8, Tx Queue count = 8
[   56.443936] ixgbe 0000:01:00.0: PCI Express bandwidth of 32GT/s available
[   56.443937] ixgbe 0000:01:00.0: (Speed:5.0GT/s, Width: x8, Encoding Loss:20%)
[   56.468049] ixgbe 0000:01:00.0: MAC: 3, PHY: 0, PBA No: 000000-000
[   56.468050] ixgbe 0000:01:00.0: e8:ea:6a:03:10:37
[   56.555320] scsi 9:0:0:0: Direct-Access     HGST HDN 724040ALE640     MJAO PQ: 0 ANSI: 6
[   56.578456] scsi 10:0:0:0: Direct-Access     HGST HDN 724040ALE640     MJAO PQ: 0 ANSI: 6
[   56.615834] ixgbe 0000:01:00.0: Intel(R) 10 Gigabit Network Connection
[   56.831576] sd 9:0:0:0: Attached scsi generic sg8 type 0
[   56.831691] sd 9:0:0:0: [sdh] 7813988353 512-byte logical blocks: (4.00 TB/3.64 TiB)
[   56.831692] sd 9:0:0:0: [sdh] 4096-byte physical blocks
[   56.836940] sd 9:0:0:0: [sdh] Write Protect is off
[   56.836941] sd 9:0:0:0: [sdh] Mode Sense: 43 00 00 00
[   56.837181] sd 9:0:0:0: [sdh] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[   56.837656] xhci_hcd 0000:04:00.0: ERROR Transfer event for disabled endpoint or incorrect stream ring
[   56.837699] xhci_hcd 0000:04:00.0: @000000040d3975a0 00000000 00000000 1b000000 01038001
[   56.864184] ixgbe 0000:01:00.1: Multiqueue Enabled: Rx Queue count = 8, Tx Queue count = 8
[   56.884537] sd 10:0:0:0: Attached scsi generic sg9 type 0
[   56.884649] sd 10:0:0:0: [sdi] 7813988353 512-byte logical blocks: (4.00 TB/3.64 TiB)
[   56.884650] sd 10:0:0:0: [sdi] 4096-byte physical blocks
[   56.889883] sd 10:0:0:0: [sdi] Write Protect is off
[   56.889885] sd 10:0:0:0: [sdi] Mode Sense: 43 00 00 00
[   56.890124] sd 10:0:0:0: [sdi] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[   56.890567] xhci_hcd 0000:06:00.0: ERROR Transfer event for disabled endpoint or incorrect stream ring
[   56.890607] xhci_hcd 0000:06:00.0: @0000000408e6f5a0 00000000 00000000 1b000000 01038001
[   56.895307]  sdh:
[   56.900393] ixgbe 0000:01:00.1: PCI Express bandwidth of 32GT/s available
[   56.900394] ixgbe 0000:01:00.1: (Speed:5.0GT/s, Width: x8, Encoding Loss:20%)
[   56.924506] ixgbe 0000:01:00.1: MAC: 3, PHY: 0, PBA No: 000000-000
[   56.924507] ixgbe 0000:01:00.1: e8:ea:6a:03:10:38
[   56.941012]  sdi:
[   56.951500] sd 9:0:0:0: [sdh] Attached SCSI disk
[   56.999177] sd 10:0:0:0: [sdi] Attached SCSI disk
=====================================================

Comment 1 Yasuaki Taniguchi 2017-02-10 03:59:54 UTC
I've changed title.
When I connected 3rd USB-UAS device, uas module fails to probe it.
And when I connected 2 drives on the same USB interface card, it was OK. 

======== 1st drive (connect to C220 Chipset USB3.0 port================
[root@nas01 ~]# lsusb -t
/:  Bus 08.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 5000M
/:  Bus 07.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 480M
/:  Bus 06.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 5000M
/:  Bus 05.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 480M
/:  Bus 04.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/6p, 5000M
    |__ Port 2: Dev 2, If 0, Class=Mass Storage, Driver=uas, 5000M
/:  Bus 03.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/14p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/4p, 480M
        |__ Port 4: Dev 4, If 0, Class=Human Interface Device, Driver=usbhid, 1.5M
        |__ Port 4: Dev 4, If 1, Class=Human Interface Device, Driver=usbhid, 1.5M
    |__ Port 7: Dev 3, If 0, Class=Mass Storage, Driver=usb-storage, 480M
/:  Bus 02.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/2p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/8p, 480M
/:  Bus 01.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/2p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/6p, 480M
====================================================

======= 2nd drive (connect USB interface board)
[root@nas01 ~]# lsusb -t
/:  Bus 08.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 5000M
/:  Bus 07.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 480M
/:  Bus 06.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 5000M
    |__ Port 1: Dev 8, If 0, Class=Mass Storage, Driver=uas, 5000M
/:  Bus 05.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 480M
/:  Bus 04.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/6p, 5000M
    |__ Port 2: Dev 2, If 0, Class=Mass Storage, Driver=uas, 5000M
/:  Bus 03.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/14p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/4p, 480M
        |__ Port 4: Dev 4, If 0, Class=Human Interface Device, Driver=usbhid, 1.5M
        |__ Port 4: Dev 4, If 1, Class=Human Interface Device, Driver=usbhid, 1.5M
    |__ Port 7: Dev 3, If 0, Class=Mass Storage, Driver=usb-storage, 480M
/:  Bus 02.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/2p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/8p, 480M
/:  Bus 01.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/2p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/6p, 480M
===========================

======== 3rd drive (connect the other USB interface board)
[root@nas01 ~]# lsusb -t
/:  Bus 08.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 5000M
/:  Bus 07.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 480M
/:  Bus 06.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 5000M
    |__ Port 1: Dev 8, If 0, Class=Mass Storage, Driver=uas, 5000M
/:  Bus 05.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 480M
/:  Bus 04.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/6p, 5000M
    |__ Port 2: Dev 2, If 0, Class=Mass Storage, Driver=uas, 5000M
/:  Bus 03.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/14p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/4p, 480M
        |__ Port 4: Dev 4, If 0, Class=Human Interface Device, Driver=usbhid, 1.5M
        |__ Port 4: Dev 4, If 1, Class=Human Interface Device, Driver=usbhid, 1.5M
    |__ Port 7: Dev 3, If 0, Class=Mass Storage, Driver=usb-storage, 480M
/:  Bus 02.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/2p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/8p, 480M
/:  Bus 01.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/2p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/6p, 480M
==========================

======= dmsg =======================================
[49732.767608] usb 4-2: new SuperSpeed USB device number 2 using xhci_hcd
[49732.780276] usb 4-2: New USB device found, idVendor=0584, idProduct=0276
[49732.780277] usb 4-2: New USB device strings: Mfr=2, Product=3, SerialNumber=1
[49732.780277] usb 4-2: Product: RS-EC32-U31R RAID1
[49732.780278] usb 4-2: Manufacturer: RATOC Systems,Inc.
[49732.780278] usb 4-2: SerialNumber: 323116430132
[49732.782572] scsi host9: uas
[49733.182312] scsi 9:0:0:0: Direct-Access     HGST HDN 724040ALE640     MJAO PQ: 0 ANSI: 6
[49733.342896] sd 9:0:0:0: [sdh] 7813988353 512-byte logical blocks: (4.00 TB/3.64 TiB)
[49733.342898] sd 9:0:0:0: [sdh] 4096-byte physical blocks
[49733.342923] sd 9:0:0:0: Attached scsi generic sg8 type 0
[49733.348092] sd 9:0:0:0: [sdh] Write Protect is off
[49733.348094] sd 9:0:0:0: [sdh] Mode Sense: 43 00 00 00
[49733.348250] sd 9:0:0:0: [sdh] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[49733.403398]  sdh:
[49733.464345] sd 9:0:0:0: [sdh] Attached SCSI disk
[49917.363085] usb 6-1: new SuperSpeed USB device number 8 using xhci_hcd
[49917.380709] usb 6-1: New USB device found, idVendor=0584, idProduct=0276
[49917.380710] usb 6-1: New USB device strings: Mfr=2, Product=3, SerialNumber=1
[49917.380711] usb 6-1: Product: RS-EC32-U31R RAID1
[49917.380711] usb 6-1: Manufacturer: RATOC Systems,Inc.
[49917.380712] usb 6-1: SerialNumber: 323116430004
[49917.386379] scsi host10: uas
[49917.797680] scsi 10:0:0:0: Direct-Access     HGST HDN 724040ALE640     MJAO PQ: 0 ANSI: 6
[49918.052848] sd 10:0:0:0: [sdi] 7813988353 512-byte logical blocks: (4.00 TB/3.64 TiB)
[49918.052850] sd 10:0:0:0: [sdi] 4096-byte physical blocks
[49918.053104] sd 10:0:0:0: Attached scsi generic sg9 type 0
[49918.058097] sd 10:0:0:0: [sdi] Write Protect is off
[49918.058099] sd 10:0:0:0: [sdi] Mode Sense: 43 00 00 00
[49918.058340] sd 10:0:0:0: [sdi] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[49918.058861] xhci_hcd 0000:04:00.0: ERROR Transfer event for disabled endpoint or incorrect stream ring
[49918.058889] xhci_hcd 0000:04:00.0: @000000040d397c80 00000000 00000000 1b000000 01038000
[49918.118610]  sdi: sdi1 sdi2
[49918.232854] sd 10:0:0:0: [sdi] Attached SCSI disk
[50167.344938] usb 7-1: new high-speed USB device number 2 using xhci_hcd
[50167.469127] usb 7-1: New USB device found, idVendor=0584, idProduct=0276
[50167.469129] usb 7-1: New USB device strings: Mfr=2, Product=3, SerialNumber=1
[50167.469130] usb 7-1: Product: RS-EC32-U31R RAID1
[50167.469131] usb 7-1: Manufacturer: RATOC Systems,Inc.
[50167.469132] usb 7-1: SerialNumber: 3231164301C8
[50167.488805] kworker/3:1: page allocation failure: order:0, mode:0x2604001(GFP_NOIO|GFP_DMA|__GFP_COMP|__GFP_NOTRACK)
[50167.488810] CPU: 3 PID: 5034 Comm: kworker/3:1 Not tainted 4.9.7-201.fc25.x86_64 #1
[50167.488810] Hardware name: Dell Inc. XPS 8700/0KWVT8, BIOS A11 07/09/2015
[50167.488814] Workqueue: usb_hub_wq hub_event
[50167.488815]  ffffabe849edb440 ffffffffb23f442d ffffffffb2c50e30 0000000000000001
[50167.488817]  ffffabe849edb4c8 ffffffffb21cc6fa 02604001dfde90a0 ffffffffb2c50e30

[50167.488819]  ffffabe849edb468 ffff964d00000010 ffffabe849edb4d8 ffffabe849edb488
[50167.488822] Call Trace:
[50167.488826]  [<ffffffffb23f442d>] dump_stack+0x63/0x86
[50167.488829]  [<ffffffffb21cc6fa>] warn_alloc+0x13a/0x170
[50167.488831]  [<ffffffffb240af08>] ? find_next_bit+0x18/0x20
[50167.488833]  [<ffffffffb21cca82>] __alloc_pages_slowpath+0x2e2/0xc40
[50167.488835]  [<ffffffffb21cd636>] __alloc_pages_nodemask+0x256/0x2c0
[50167.488837]  [<ffffffffb2223525>] alloc_pages_current+0x95/0x140
[50167.488839]  [<ffffffffb222d33d>] new_slab+0x30d/0x790
[50167.488841]  [<ffffffffb222f232>] ___slab_alloc+0x3f2/0x540
[50167.488843]  [<ffffffffb2626afb>] ? xhci_segment_alloc.isra.25+0xfb/0x140
[50167.488845]  [<ffffffffb23f417d>] ? cpumask_next_and+0x2d/0x50
[50167.488847]  [<ffffffffb20e0148>] ? update_sd_lb_stats+0x108/0x510
[50167.488849]  [<ffffffffb222f3a0>] __slab_alloc+0x20/0x40
[50167.488850]  [<ffffffffb2230c18>] __kmalloc+0x188/0x1f0
[50167.488851]  [<ffffffffb2626afb>] ? xhci_segment_alloc.isra.25+0xfb/0x140
[50167.488853]  [<ffffffffb2626afb>] xhci_segment_alloc.isra.25+0xfb/0x140
[50167.488854]  [<ffffffffb2626b83>] xhci_alloc_segments_for_ring+0x43/0x100
[50167.488856]  [<ffffffffb2626cfe>] xhci_ring_alloc.constprop.34+0xbe/0x140
[50167.488857]  [<ffffffffb26279c2>] xhci_endpoint_init+0x182/0x580
[50167.488859]  [<ffffffffb2621b81>] xhci_add_endpoint+0x101/0x2a0
[50167.488861]  [<ffffffffb25ee381>] usb_hcd_alloc_bandwidth+0x1b1/0x320
[50167.488862]  [<ffffffffb25f2052>] usb_set_configuration+0x272/0x910
[50167.488865]  [<ffffffffb22e0383>] ? kernfs_activate+0x83/0xe0
[50167.488867]  [<ffffffffb22dfd1e>] ? kernfs_link_sibling+0x8e/0xc0
[50167.488868]  [<ffffffffb22e04c0>] ? kernfs_add_one+0xe0/0x130
[50167.488870]  [<ffffffffb25fd6be>] generic_probe+0x2e/0x80
[50167.488872]  [<ffffffffb25f423e>] usb_probe_device+0x2e/0x70
[50167.488874]  [<ffffffffb254be23>] driver_probe_device+0x223/0x430
[50167.488875]  [<ffffffffb254c1ac>] __device_attach_driver+0x8c/0x100
[50167.488876]  [<ffffffffb254c120>] ? __driver_attach+0xf0/0xf0
[50167.488879]  [<ffffffffb25498e7>] bus_for_each_drv+0x67/0xb0
[50167.488880]  [<ffffffffb254ba8d>] __device_attach+0xdd/0x160
[50167.488881]  [<ffffffffb254c263>] device_initial_probe+0x13/0x20
[50167.488883]  [<ffffffffb254acb2>] bus_probe_device+0x92/0xa0
[50167.488884]  [<ffffffffb2548813>] device_add+0x373/0x630
[50167.488886]  [<ffffffffb2519700>] ? random_poll+0x10/0x80
[50167.488887]  [<ffffffffb25e7515>] usb_new_device+0x275/0x490
[50167.488889]  [<ffffffffb25e9244>] hub_event+0xc54/0x15a0
[50167.488891]  [<ffffffffb20bc4f4>] process_one_work+0x184/0x430
[50167.488893]  [<ffffffffb20bc7ee>] worker_thread+0x4e/0x490
[50167.488894]  [<ffffffffb20bc7a0>] ? process_one_work+0x430/0x430
[50167.488895]  [<ffffffffb20bc7a0>] ? process_one_work+0x430/0x430
[50167.488897]  [<ffffffffb20c2579>] kthread+0xd9/0xf0
[50167.488899]  [<ffffffffb20c24a0>] ? kthread_park+0x60/0x60
[50167.488901]  [<ffffffffb281ded5>] ret_from_fork+0x25/0x30
[50167.488905] Mem-Info:
[50167.488908] active_anon:1889846 inactive_anon:244489 isolated_anon:0
                active_file:226589 inactive_file:1542707 isolated_file:0
                unevictable:0 dirty:1260 writeback:0 unstable:0
                slab_reclaimable:58786 slab_unreclaimable:26405
                mapped:7442 shmem:4140 pagetables:7304 bounce:0
                free:35879 free_pcp:1566 free_cma:0
[50167.488911] Node 0 active_anon:7559384kB inactive_anon:977956kB active_file:906356kB inactive_file:6170828kB unevictable:0kB isolated(anon):0kB isolated(file):0kB mapped:29768kB dirty:5040kB writeback:0kB shmem:0kB shmem_thp: 0kB shmem_pmdmapped: 8394752kB anon_thp: 16560kB writeback_tmp:0kB unstable:0kB pages_scanned:0 all_unreclaimable? no
[50167.488912] Node 0 DMA free:60kB min:64kB low:80kB high:96kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB writepending:0kB present:15984kB managed:15896kB mlocked:0kB slab_reclaimable:0kB slab_unreclaimable:15836kB kernel_stack:0kB pagetables:0kB bounce:0kB free_pcp:0kB local_pcp:0kB free_cma:0kB
[50167.488915] lowmem_reserve[]: 0 3381 15921 15921 15921
[50167.488919] Node 0 DMA32 free:68336kB min:14336kB low:17920kB high:21504kB active_anon:2696kB inactive_anon:608kB active_file:22996kB inactive_file:3289864kB unevictable:0kB writepending:72kB present:3568408kB managed:3487532kB mlocked:0kB slab_reclaimable:92424kB slab_unreclaimable:2532kB kernel_stack:464kB pagetables:28kB bounce:0kB free_pcp:3068kB local_pcp:160kB free_cma:0kB
[50167.488922] lowmem_reserve[]: 0 0 12540 12540 12540
[50167.488924] Node 0 Normal free:75120kB min:53176kB low:66468kB high:79760kB active_anon:7556688kB inactive_anon:977348kB active_file:883360kB inactive_file:2880964kB unevictable:0kB writepending:4952kB present:13105152kB managed:12841308kB mlocked:0kB slab_reclaimable:142720kB slab_unreclaimable:87252kB kernel_stack:6096kB pagetables:29188kB bounce:0kB free_pcp:3196kB local_pcp:368kB free_cma:0kB
[50167.488927] lowmem_reserve[]: 0 0 0 0 0
[50167.488929] Node 0 DMA: 1*4kB (U) 1*8kB (U) 1*16kB (U) 1*32kB (U) 0*64kB 0*128kB 0*256kB 0*512kB 0*1024kB 0*2048kB 0*4096kB = 60kB
[50167.488936] Node 0 DMA32: 126*4kB (UME) 115*8kB (UME) 128*16kB (UME) 41*32kB (UME) 25*64kB (UME) 46*128kB (UME) 13*256kB (UME) 15*512kB (UME) 4*1024kB (ME) 2*2048kB (UM) 9*4096kB (M) = 68336kB
[50167.488946] Node 0 Normal: 976*4kB (UE) 1206*8kB (UE) 598*16kB (UMEH) 347*32kB (UEH) 179*64kB (UMH) 182*128kB (UME) 12*256kB (UMEH) 4*512kB (UMH) 1*1024kB (H) 0*2048kB 0*4096kB = 75120kB
[50167.488956] Node 0 hugepages_total=0 hugepages_free=0 hugepages_surp=0 hugepages_size=1048576kB
[50167.488957] Node 0 hugepages_total=0 hugepages_free=0 hugepages_surp=0 hugepages_size=2048kB
[50167.488958] 1774049 total pagecache pages
[50167.488958] 576 pages in swap cache
[50167.488959] Swap cache stats: add 8614, delete 8038, find 22411/22681
[50167.488960] Free swap  = 8164800kB
[50167.488960] Total swap = 8196092kB
[50167.488961] 4172386 pages RAM
[50167.488961] 0 pages HighMem/MovableOnly
[50167.488962] 86202 pages reserved
[50167.488962] 0 pages cma reserved
[50167.488962] 0 pages hwpoisoned
[50167.488964] SLUB: Unable to allocate memory on node -1, gfp=0x2408001(GFP_NOIO|GFP_DMA|__GFP_ZERO)
[50167.488965]   cache: dma-kmalloc-512, object size: 512, buffer size: 512, default order: 2, min order: 0
[50167.488966]   node 0: slabs: 5, objs: 160, free: 0
[50167.488971] usb 7-1: can't set config #1, error -12
===============================

Comment 2 Yasuaki Taniguchi 2017-02-20 04:29:24 UTC
It is not a Fedora specific bug.

Fedora 24 release (4.5.5-300.fc24.x86_64): Good        
Fedora 24 updates (4.9.9-100.fc24.x86_64): Fail
Fedora 25 release (4.8.6-300.fc25.x86_64): Fail
Fedora 25 updates (4.9.9-200.fc25.x86_64): Fail

And on Ubuntu 16.04LTS
Ubuntu 16.04LTS ga (4.4.0) : Good
Ubuntu 16.04LTS HWE (4.8.0): Fail

So, it may be a regression between 4.5.5 and 4.8.x kernel on upstream.

Comment 3 Yasuaki Taniguchi 2017-03-07 07:16:22 UTC
I updated kernel to 4.9.13-200.fc25.x86_64, then more than three uas devices can
be attached. But because of the bug about uas and scsi like:
  https://www.mail-archive.com/linux-usb@vger.kernel.org/msg60170.html ,
I can't use uas drives properly, furthermore, the USB buses is unstable, 
such as keyboard and mouse hung up.

Comment 4 Justin M. Forbes 2017-04-11 14:51:48 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 5 Yasuaki Taniguchi 2017-04-12 09:52:50 UTC
I couldn't find 4.10.9-200.fc25 kernel on the update and dnf repository, but I found 4.10.8-200.fc25, so I test it on 4.10.8-200.fc25 kernel.

This bug is still alive.
(1) I *can* attach more than three uas devices, but
(2) I/O information, which I can get from /sys/block/sd*/queue, is strange,
(3) parted and LVM can't calculate optimal disk geometries.

======== 4 Disk attachment OK ==============================
[  223.209197] usb 3-2.4: new SuperSpeed USB device number 3 using xhci_hcd
[  223.221961] usb 3-2.4: New USB device found, idVendor=0584, idProduct=0276
[  223.221963] usb 3-2.4: New USB device strings: Mfr=2, Product=3, SerialNumber=1
[  223.221965] usb 3-2.4: Product: RS-EC32-U31R RAID1
[  223.221967] usb 3-2.4: Manufacturer: RATOC Systems,Inc.
[  223.221969] usb 3-2.4: SerialNumber: 32311643000A
[  223.238444] usbcore: registered new interface driver usb-storage
[  223.242354] scsi host4: uas
[  223.242429] usbcore: registered new interface driver uas
[  223.669308] scsi 4:0:0:0: Direct-Access     HGST HDN 724040ALE640     MJAO PQ: 0 ANSI: 6
[  223.683229] sd 4:0:0:0: Attached scsi generic sg2 type 0
[  223.688262] sd 4:0:0:0: [sdc] 7813988353 512-byte logical blocks: (4.00 TB/3.64 TiB)
[  223.688263] sd 4:0:0:0: [sdc] 4096-byte physical blocks
[  223.688387] sd 4:0:0:0: [sdc] Write Protect is off
[  223.688388] sd 4:0:0:0: [sdc] Mode Sense: 43 00 00 00
[  223.688547] sd 4:0:0:0: [sdc] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[  223.727131] sd 4:0:0:0: [sdc] Attached SCSI disk
[  268.475627] usb 3-2.3: new SuperSpeed USB device number 4 using xhci_hcd
[  268.488441] usb 3-2.3: New USB device found, idVendor=0584, idProduct=0276
[  268.488442] usb 3-2.3: New USB device strings: Mfr=2, Product=3, SerialNumber=1
[  268.488444] usb 3-2.3: Product: RS-EC32-U31R RAID1
[  268.488445] usb 3-2.3: Manufacturer: RATOC Systems,Inc.
[  268.488446] usb 3-2.3: SerialNumber: 32311643007F
[  268.492934] scsi host5: uas
[  268.892450] scsi 5:0:0:0: Direct-Access     HGST HDN 724040ALE640     MJAO PQ: 0 ANSI: 6
[  268.905874] sd 5:0:0:0: Attached scsi generic sg3 type 0
[  268.911734] sd 5:0:0:0: [sdd] 7813988353 512-byte logical blocks: (4.00 TB/3.64 TiB)
[  268.911735] sd 5:0:0:0: [sdd] 4096-byte physical blocks
[  268.911861] sd 5:0:0:0: [sdd] Write Protect is off
[  268.911862] sd 5:0:0:0: [sdd] Mode Sense: 43 00 00 00
[  268.912021] sd 5:0:0:0: [sdd] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[  269.015181] sd 5:0:0:0: [sdd] Attached SCSI disk
[  285.100714] usb 3-2.1: new SuperSpeed USB device number 5 using xhci_hcd
[  285.113420] usb 3-2.1: New USB device found, idVendor=0480, idProduct=a006
[  285.113422] usb 3-2.1: New USB device strings: Mfr=2, Product=3, SerialNumber=1
[  285.113423] usb 3-2.1: Product: ASM1351
[  285.113424] usb 3-2.1: Manufacturer: Asmedia
[  285.113425] usb 3-2.1: SerialNumber: 123456789116
[  285.118584] scsi host6: uas
[  285.119076] scsi 6:0:0:0: Direct-Access     ASMT     2135             0    PQ: 0 ANSI: 6
[  285.143998] sd 6:0:0:0: Attached scsi generic sg4 type 0
[  285.144114] sd 6:0:0:0: [sde] Spinning up disk...
[  286.176992] .
[  287.201323] .
[  288.225619] .
[  289.249948] .
[  290.274258] .
[  291.298572] .
[  292.322884] .
[  293.347203] .
[  293.347282] ready
[  293.349561] sd 6:0:0:0: [sde] 976773168 512-byte logical blocks: (500 GB/466 GiB)
[  293.349680] sd 6:0:0:0: [sde] Write Protect is off
[  293.349683] sd 6:0:0:0: [sde] Mode Sense: 43 00 00 00
[  293.349840] sd 6:0:0:0: [sde] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[  293.357609]  sde: sde1
[  293.358529] sd 6:0:0:0: [sde] Attached SCSI disk
[  328.878035] usb 3-2.2: new SuperSpeed USB device number 6 using xhci_hcd
[  328.890749] usb 3-2.2: New USB device found, idVendor=174c, idProduct=1351
[  328.890750] usb 3-2.2: New USB device strings: Mfr=2, Product=3, SerialNumber=1
[  328.890751] usb 3-2.2: Product: USB3.1 Device
[  328.890752] usb 3-2.2: Manufacturer: Generic
[  328.890752] usb 3-2.2: SerialNumber: 12345678912B
[  328.894965] scsi host7: uas
[  328.896180] scsi 7:0:0:0: Direct-Access     ST2000DM 001-1CH164       0    PQ: 0 ANSI: 6
[  328.921343] sd 7:0:0:0: Attached scsi generic sg5 type 0
[  328.921717] sd 7:0:0:0: [sdf] 3907029168 512-byte logical blocks: (2.00 TB/1.82 TiB)
[  328.921718] sd 7:0:0:0: [sdf] 4096-byte physical blocks
[  328.921795] sd 7:0:0:0: [sdf] Write Protect is off
[  328.921796] sd 7:0:0:0: [sdf] Mode Sense: 43 00 00 00
[  328.921955] sd 7:0:0:0: [sdf] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[  328.970520]  sdf: sdf1
[  328.971532] sd 7:0:0:0: [sdf] Attached SCSI disk

========= Strange I/O Information from sysfs ======================
Good physical_block_size
[root@test03 work]# cat /sys/block/sdc/queue/physical_block_size
4096

Good logical_block_size
[root@test03 work]# cat /sys/block/sdc/queue/logical_block_size
512

*BAD* optimal_io_size (4192*8192-512)
[root@test03 work]# cat /sys/block/sdc/queue/optimal_io_size
33553920
========= parted alignment warning ================================
[root@test03 work]# parted /dev/sdc
GNU Parted 3.2
Using /dev/sdc
Welcome to GNU Parted! Type 'help' to view a list of commands.
(parted) mklabel gpt
(parted) mkpart primary 1MiB 100%
Warning: The resulting partition is not properly aligned for best performance:
2048s % 65535s != 0s
Ignore/Cancel? I
(parted) print
Model: HGST HDN 724040ALE640 (scsi)
Disk /dev/sdc: 4001GB
Sector size (logical/physical): 512B/4096B
Partition Table: gpt
Disk Flags:

Number  Start   End     Size    File system  Name     Flags
 1      1049kB  4001GB  4001GB  xfs          primary

(parted) quit
Information: You may need to update /etc/fstab.

[root@test03 work]# mkfs.xfs /dev/sdc1
meta-data=/dev/sdc1              isize=512    agcount=4, agsize=244187071 blks
         =                       sectsz=4096  attr=2, projid32bit=1
         =                       crc=1        finobt=1, sparse=0, rmapbt=0, reflink=0
data     =                       bsize=4096   blocks=976748284, imaxpct=5
         =                       sunit=0      swidth=0 blks
naming   =version 2              bsize=4096   ascii-ci=0 ftype=1
log      =internal log           bsize=4096   blocks=476927, version=2
         =                       sectsz=4096  sunit=1 blks, lazy-count=1
realtime =none                   extsz=4096   blocks=0, rtextents=0

======LV Creation (pe_start is set 32MB)====================================
[root@test03 work]# pvcreate /dev/sdc1
  Physical volume "/dev/sdc1" successfully created.
[root@test03 work]# vgcreate vg_test /dev/sdc1
  Volume group "vg_test" successfully created
[root@test03 work]# lvcreate -n lv_test -l 100%VG vg_test /dev/sdc1
  Logical volume "lv_test" created.
[root@test03 work]# lvdisplay lv_test/vg_test
  Volume group "lv_test" not found
  Cannot process volume group lv_test
[root@test03 work]# lvdisplay vg_test/lv_test
  --- Logical volume ---
  LV Path                /dev/vg_test/lv_test
  LV Name                lv_test
  VG Name                vg_test
  LV UUID                ciLxVq-RYjz-dkbJ-cCrM-ldpT-Z97b-GJF3tY
  LV Write Access        read/write
  LV Creation host, time test03, 2017-04-12 18:38:40 +0900
  LV Status              available
  # open                 0
  LV Size                3.64 TiB
  Current LE             953847
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:2
[root@test03 work]# pvs -o +pe_start /dev/sdc1
  PV         VG      Fmt  Attr PSize PFree 1st PE
  /dev/sdc1  vg_test lvm2 a--  3.64t    0   32.00m


Kernel message
[ 3650.389051] device-mapper: table: 253:2: adding target device sdc1 caused an alignment inconsistency: physical_block_size=4096, logical_block_size=512, alignment_offset=0, start=33553920
[ 3650.389053] device-mapper: table: 253:2: adding target device sdc1 caused an alignment inconsistency: physical_block_size=4096, logical_block_size=512, alignment_offset=0, start=33553920



========================================================================

I'm installing Fedora 26 Alpha on other PC and will test them.

Comment 6 Yasuaki Taniguchi 2017-04-12 10:16:20 UTC
This problem occurs both 512 bytes sector and 4KB sector disks.

[root@test03 work]# cat sys/block/sde/queue/physical_block_size
512
[root@test03 work]# cat sys/block/sde/queue/logical_block_size
512
[root@test03 work]# cat sys/block/sde/queue/optimal_io_size
33553920

Comment 7 Yasuaki Taniguchi 2017-04-12 11:43:58 UTC
This problem occurs in Fedora 26 Alpha 4.11.0-0.rc5.git0.1.fc26.x86_64 kernel.

4KB sector disk
[root@test04 ~]# cat /sys/block/sdd/queue/physical_block_size
4096
[root@test04 ~]# cat /sys/block/sdd/queue/logical_block_size
512
[root@test04 ~]# cat /sys/block/sdd/queue/optimal_io_size
33553920
[root@test04 ~]# cat /sys/block/sdd/queue/minimum_io_size
4096


512B sector disk
[root@test04 ~]# cat /sys/block/sde/queue/physical_block_size
512
[root@test04 ~]# cat /sys/block/sde/queue/logical_block_size
512
[root@test04 ~]# cat /sys/block/sde/queue/optimal_io_size
33553920
[root@test04 ~]# cat /sys/block/sde/queue/minimum_io_size
512

==== dmesg uas probe ===============================
[   14.599778] usb 2-3.1: USB disconnect, device number 3
[   14.599780] usb 2-3.1.4: USB disconnect, device number 6
[   14.599782] usb 2-3.1.4.1: USB disconnect, device number 7
[   14.627609] usb 2-3.1.4.2: USB disconnect, device number 8
[   14.772222] usb 2-3.2: USB disconnect, device number 4
[  250.074028] usb 3-2: new SuperSpeed USB device number 2 using xhci_hcd
[  250.170483] usb 3-2: New USB device found, idVendor=2109, idProduct=0813
[  250.170488] usb 3-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[  250.170491] usb 3-2: Product: USB3.0 Hub
[  250.170494] usb 3-2: Manufacturer: VIA Labs, Inc.
[  250.172733] hub 3-2:1.0: USB hub found
[  250.172952] hub 3-2:1.0: 4 ports detected
[  250.768633] usb 2-2: new high-speed USB device number 9 using xhci_hcd
[  250.938243] usb 2-2: New USB device found, idVendor=2109, idProduct=2813
[  250.938245] usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[  250.938246] usb 2-2: Product: USB2.0 Hub
[  250.938248] usb 2-2: Manufacturer: VIA Labs, Inc.
[  250.939668] hub 2-2:1.0: USB hub found
[  250.940530] hub 2-2:1.0: 4 ports detected
[  311.076093] usb 3-2.4: new SuperSpeed USB device number 3 using xhci_hcd
[  311.088982] usb 3-2.4: New USB device found, idVendor=0584, idProduct=0276
[  311.088984] usb 3-2.4: New USB device strings: Mfr=2, Product=3, SerialNumber=1
[  311.088985] usb 3-2.4: Product: RS-EC32-U31R RAID1
[  311.088986] usb 3-2.4: Manufacturer: RATOC Systems,Inc.
[  311.088987] usb 3-2.4: SerialNumber: 32311643000A
[  311.099686] usbcore: registered new interface driver usb-storage
[  311.103616] scsi host4: uas
[  311.103658] usbcore: registered new interface driver uas
[  311.529050] scsi 4:0:0:0: Direct-Access     HGST HDN 724040ALE640     MJAO PQ: 0 ANSI: 6
[  311.551404] sd 4:0:0:0: Attached scsi generic sg2 type 0
[  311.556400] sd 4:0:0:0: [sdc] 7813988353 512-byte logical blocks: (4.00 TB/3.64 TiB)
[  311.556401] sd 4:0:0:0: [sdc] 4096-byte physical blocks
[  311.556525] sd 4:0:0:0: [sdc] Write Protect is off
[  311.556526] sd 4:0:0:0: [sdc] Mode Sense: 43 00 00 00
[  311.556685] sd 4:0:0:0: [sdc] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[  311.610063]  sdc: sdc1
[  311.669432] sd 4:0:0:0: [sdc] Attached SCSI disk
[  311.864341] device-mapper: table: 253:2: adding target device sdc1 caused an alignment inconsistency: physical_block_size=4096, logical_block_size=512, alignment_offset=0, start=33553920
[  311.864342] device-mapper: table: 253:2: adding target device sdc1 caused an alignment inconsistency: physical_block_size=4096, logical_block_size=512, alignment_offset=0, start=33553920
[  336.660255] usb 3-2.3: new SuperSpeed USB device number 4 using xhci_hcd
[  336.673142] usb 3-2.3: New USB device found, idVendor=0584, idProduct=0276
[  336.673144] usb 3-2.3: New USB device strings: Mfr=2, Product=3, SerialNumber=1
[  336.673145] usb 3-2.3: Product: RS-EC32-U31R RAID1
[  336.673147] usb 3-2.3: Manufacturer: RATOC Systems,Inc.
[  336.673148] usb 3-2.3: SerialNumber: 32311643007F
[  336.678007] scsi host5: uas
[  337.083352] scsi 5:0:0:0: Direct-Access     HGST HDN 724040ALE640     MJAO PQ: 0 ANSI: 6
[  337.100578] sd 5:0:0:0: Attached scsi generic sg3 type 0
[  337.106973] sd 5:0:0:0: [sdd] 7813988353 512-byte logical blocks: (4.00 TB/3.64 TiB)
[  337.106974] sd 5:0:0:0: [sdd] 4096-byte physical blocks
[  337.107097] sd 5:0:0:0: [sdd] Write Protect is off
[  337.107097] sd 5:0:0:0: [sdd] Mode Sense: 43 00 00 00
[  337.107262] sd 5:0:0:0: [sdd] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[  337.195187] sd 5:0:0:0: [sdd] Attached SCSI disk
[  348.468155] usb 3-2.1: new SuperSpeed USB device number 5 using xhci_hcd
[  348.480858] usb 3-2.1: New USB device found, idVendor=0480, idProduct=a006
[  348.480860] usb 3-2.1: New USB device strings: Mfr=2, Product=3, SerialNumber=1
[  348.480862] usb 3-2.1: Product: ASM1351
[  348.480863] usb 3-2.1: Manufacturer: Asmedia
[  348.480864] usb 3-2.1: SerialNumber: 123456789116
[  348.484753] scsi host6: uas
[  348.485135] scsi 6:0:0:0: Direct-Access     ASMT     2135             0    PQ: 0 ANSI: 6
[  348.511359] sd 6:0:0:0: Attached scsi generic sg4 type 0
[  348.511458] sd 6:0:0:0: [sde] Spinning up disk...
[  349.532209] .
[  350.556390] .
[  351.580536] .
[  352.604676] .
[  353.628784] .
[  354.652963] .
[  355.677096] .
[  356.701239] .
[  356.701311] ready
[  356.722300] sd 6:0:0:0: [sde] 976773168 512-byte logical blocks: (500 GB/466 GiB)
[  356.722411] sd 6:0:0:0: [sde] Write Protect is off
[  356.722413] sd 6:0:0:0: [sde] Mode Sense: 43 00 00 00
[  356.722571] sd 6:0:0:0: [sde] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[  356.727204]  sde: sde1
[  356.728023] sd 6:0:0:0: [sde] Attached SCSI disk
[  378.390343] usb 3-2.2: new SuperSpeed USB device number 6 using xhci_hcd
[  378.403284] usb 3-2.2: New USB device found, idVendor=174c, idProduct=1351
[  378.403288] usb 3-2.2: New USB device strings: Mfr=2, Product=3, SerialNumber=1
[  378.403291] usb 3-2.2: Product: USB3.1 Device
[  378.403293] usb 3-2.2: Manufacturer: Generic
[  378.403295] usb 3-2.2: SerialNumber: 12345678912B
[  378.410036] scsi host7: uas
[  378.411280] scsi 7:0:0:0: Direct-Access     ST2000DM 001-1CH164       0    PQ: 0 ANSI: 6
[  378.434589] sd 7:0:0:0: Attached scsi generic sg5 type 0
[  378.434996] sd 7:0:0:0: [sdf] 3907029168 512-byte logical blocks: (2.00 TB/1.82 TiB)
[  378.434997] sd 7:0:0:0: [sdf] 4096-byte physical blocks
[  378.435106] sd 7:0:0:0: [sdf] Write Protect is off
[  378.435107] sd 7:0:0:0: [sdf] Mode Sense: 43 00 00 00
[  378.435272] sd 7:0:0:0: [sdf] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[  378.484995]  sdf: sdf1
[  378.485968] sd 7:0:0:0: [sdf] Attached SCSI disk
[  407.387390] ata1.00: Enabling discard_zeroes_data
[  407.580994]  sde: sde1
[  407.585529]  sdf: sdf1
==============================================================

Comment 8 Yasuaki Taniguchi 2017-04-17 12:17:52 UTC
I made a mistake.

========= Strange I/O Information from sysfs ======================
*BAD* optimal_io_size (512*0xffff)
                       ^^^^^^^^^^^
[root@test03 work]# cat /sys/block/sdc/queue/optimal_io_size
33553920

Comment 9 Laura Abbott 2018-02-28 03:54:33 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.

Comment 10 Yasuaki Taniguchi 2018-04-01 02:27:53 UTC
This problem still exists on Fedora 27 kernel 4.15.13-300.fc27.x86_64.

[yasuaki@localhost ~]$ cat /etc/redhat-release 
Fedora release 27 (Twenty Seven)
[yasuaki@localhost ~]$ uname -r
4.15.13-300.fc27.x86_64

[yasuaki@localhost ~]$ cat /sys/block/sdc/queue/physical_block_size 
4096
[yasuaki@localhost ~]$ cat /sys/block/sdc/queue/logical_block_size 
512

*************************************************************
[yasuaki@localhost ~]$ cat /sys/block/sdc/queue/optimal_io_size 
33553920
************************************************

[yasuaki@localhost ~]$ cat /sys/block/sdc/queue/minimum_io_size 
4096



======= dmesg   ====
[    0.000000] microcode: microcode updated early to revision 0x2a, date = 2018-01-18
[    0.000000] Linux version 4.15.13-300.fc27.x86_64 (mockbuild@bkernel02.phx2.fedoraproject.org) (gcc version 7.3.1 20180303 (Red Hat 7.3.1-5) (GCC)) #1 SMP Mon Mar 26 19:06:57 UTC 2018
[    0.000000] Command line: BOOT_IMAGE=/vmlinuz-4.15.13-300.fc27.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8

(snip)

[  469.585172] usb 3-2: new SuperSpeed USB device number 2 using xhci_hcd
[  469.597879] usb 3-2: New USB device found, idVendor=0584, idProduct=0276
[  469.597881] usb 3-2: New USB device strings: Mfr=2, Product=3, SerialNumber=1
[  469.597882] usb 3-2: Product: RS-EC32-U31R RAID1
[  469.597883] usb 3-2: Manufacturer: RATOC Systems,Inc.
[  469.597884] usb 3-2: SerialNumber: 32311643012D
[  469.622293] usbcore: registered new interface driver usb-storage
[  469.626362] scsi host4: uas
[  469.626439] usbcore: registered new interface driver uas
[  469.642932] scsi 4:0:0:0: Direct-Access     HGST HDN 728080ALE604     A4GN PQ: 0 ANSI: 6
[  469.656702] sd 4:0:0:0: Attached scsi generic sg2 type 0
[  469.670176] sd 4:0:0:0: [sdc] 15628042241 512-byte logical blocks: (8.00 TB/7.28 TiB)
[  469.670178] sd 4:0:0:0: [sdc] 4096-byte physical blocks
[  469.670275] sd 4:0:0:0: [sdc] Write Protect is off
[  469.670276] sd 4:0:0:0: [sdc] Mode Sense: 43 00 00 00
[  469.670425] sd 4:0:0:0: [sdc] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[  469.743312]  sdc: sdc1
[  469.761231] sd 4:0:0:0: [sdc] Attached SCSI disk

Comment 11 Yasuaki Taniguchi 2018-05-19 08:57:55 UTC
This bug have still existed on Fedora 28 4.16.8-300.fc28.x86_64 kernel.
[yasuaki@localhost ~]$ uname -r
4.16.8-300.fc28.x86_64
[yasuaki@localhost ~]$ cat /sys/block/sdc/queue/physical_block_size 
4096
[yasuaki@localhost ~]$ cat /sys/block/sdc/queue/logical_block_size 
512
[yasuaki@localhost ~]$ cat /sys/block/sdc/queue/optimal_io_size 
33553920
[yasuaki@localhost ~]$ cat /sys/block/sdc/queue/minimum_io_size 
4096

== dmesg output ==
[  643.653493] usb 3-1: new SuperSpeed USB device number 2 using xhci_hcd
[  643.666253] usb 3-1: New USB device found, idVendor=174c, idProduct=1351
[  643.666256] usb 3-1: New USB device strings: Mfr=2, Product=3, SerialNumber=1
[  643.666258] usb 3-1: Product: USB3.1 Device
[  643.666260] usb 3-1: Manufacturer: Generic
[  643.666262] usb 3-1: SerialNumber: 12345678912B
[  643.700713] usbcore: registered new interface driver usb-storage
[  643.704496] scsi host4: uas
[  643.704574] usbcore: registered new interface driver uas
[  643.705595] scsi 4:0:0:0: Direct-Access     ST2000DM 001-1CH164       0    PQ: 0 ANSI: 6
[  643.706166] sd 4:0:0:0: Attached scsi generic sg2 type 0
[  643.706435] sd 4:0:0:0: [sdc] 3907029168 512-byte logical blocks: (2.00 TB/1.82 TiB)
[  643.706437] sd 4:0:0:0: [sdc] 4096-byte physical blocks
[  643.706512] sd 4:0:0:0: [sdc] Write Protect is off
[  643.706514] sd 4:0:0:0: [sdc] Mode Sense: 43 00 00 00
[  643.706672] sd 4:0:0:0: [sdc] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[  643.750334]  sdc: sdc1
[  643.751247] sd 4:0:0:0: [sdc] Attached SCSI disk

Comment 12 Justin M. Forbes 2018-07-23 15:03:07 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 13 Oliver Henshaw 2018-08-08 16:41:51 UTC
I see something similar on kernel-4.17.11-100.fc27.x86_64. Disks inserted into a Wavlink USB3 disk docking station report a different optimal io size to when they are attached directly via SATA. This will lead to tools like fdisk, mkfs, lvm making odd (suboptimal?) choices to satisfy io limits that the actual device doesn't need.


With the disk (a Samung EVO 850 120GB) attached internally by SATA:

# fdisk -l
Disk /dev/sda: 111.8 GiB, 120034123776 bytes, 234441648 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: gpt
...


With the disk attached via the dock:

# journalct -b
...
[ 3360.003049] saizhan kernel: usb 8-1: new SuperSpeed USB device number 2 using xhci_hcd
[ 3360.019669] saizhan kernel: usb 8-1: New USB device found, idVendor=174c, idProduct=55aa, bcdDevice= 1.00
[ 3360.019673] saizhan kernel: usb 8-1: New USB device strings: Mfr=2, Product=3, SerialNumber=1
[ 3360.019676] saizhan kernel: usb 8-1: Product: ASMT105
[ 3360.019678] saizhan kernel: usb 8-1: Manufacturer: ASMT
[ 3360.019679] saizhan kernel: usb 8-1: SerialNumber: 201805070000068C
[ 3359.946327] saizhan mtp-probe[3002]: checking bus 8, device 2: "/sys/devices/pci0000:00/0000:00:02.5/0000:06:00.0/usb8/8-1"
[ 3359.948077] saizhan mtp-probe[3002]: bus: 8, device: 2 was not an MTP device
[ 3360.081638] saizhan kernel: usbcore: registered new interface driver usb-storage
[ 3360.101548] saizhan kernel: scsi host2: uas
[ 3360.101760] saizhan kernel: usbcore: registered new interface driver uas
[ 3360.102166] saizhan kernel: scsi 2:0:0:0: Direct-Access     ASMT     ASMT105          0    PQ: 0 ANSI: 6
[ 3360.103176] saizhan kernel: sd 2:0:0:0: Attached scsi generic sg2 type 0
[ 3360.103750] saizhan kernel: sd 2:0:0:0: [sdc] 234441648 512-byte logical blocks: (120 GB/112 GiB)
[ 3360.103866] saizhan kernel: sd 2:0:0:0: [sdc] Write Protect is off
[ 3360.103869] saizhan kernel: sd 2:0:0:0: [sdc] Mode Sense: 43 00 00 00
[ 3360.104028] saizhan kernel: sd 2:0:0:0: [sdc] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 3360.114768] saizhan kernel:  sdc: sdc1 sdc2 sdc3 sdc4
[ 3360.116173] saizhan kernel: sd 2:0:0:0: [sdc] Attached SCSI disk
# fdisk -l
Disk /dev/sdc: 111.8 GiB, 120034123776 bytes, 234441648 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 33553920 bytes
Disklabel type: gpt
...
# sg_inq -p 0xb0 /dev/sdc
VPD INQUIRY: Block limits page (SBC)
  Maximum compare and write length: 0 blocks
  Optimal transfer length granularity: 1 blocks
  Maximum transfer length: 65535 blocks
  Optimal transfer length: 65535 blocks
  Maximum prefetch transfer length: 65535 blocks
  Maximum unmap LBA count: 0
  Maximum unmap block descriptor count: 0
  Optimal unmap granularity: 0
  Unmap granularity alignment valid: 0
  Unmap granularity alignment: 0
  Maximum write same length: 0x0 blocks
  Maximum atomic transfer length: 0
  Atomic alignment: 0
  Atomic transfer length granularity: 0


Is there a way to apply quirks for those UAS devices that report such wrong "Optimal transfer length"?

Comment 14 Laura Abbott 2018-10-01 21:31:21 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.
 
Fedora 28 has now been rebased to 4.18.10-300.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.
 
If you experience different issues, please open a new bug report for those.

Comment 15 Laura Abbott 2018-11-26 21:03:55 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and let us know if the bug is still present on the latest kernel.

(Please note: sometimes bugs get mistakenly closed during our mass closing. If you think your bug was closed in error please reopen)


Note You need to log in before you can comment on or make changes to this bug.